Accountbetalingen

GET https://tistos.com/api/payments/
curl --request GET \
--url 'https://tistos.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Beschrijving
processor Optioneel String Toegestane waarden: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut
status Optioneel String Toegestane waarden: paid, pending, cancelled, refunded
type Optioneel String Toegestane waarden: one_time, recurring
frequency Optioneel String Toegestane waarden: monthly, quarterly, biannual, annual, lifetime
datetime_field Optioneel String Toegestane waarden: datetime
datetime_start Optioneel String Filter resultaten vanaf deze datum en tijd. Formaat Y-m-d H:i:s.
datetime_end Optioneel String Filter resultaten tot deze datum en tijd. Formaat Y-m-d H:i:s.
order_by Optioneel String Op welk veld moeten de resultaten worden gesorteerd? Toegestane waarden zijn: id, datetime, total_amount.
order_type Optioneel String De volgorde van de resultaten. Toegestane waarden zijn: ASC voor oplopende volgorde, en DESC voor aflopende volgorde.
page Optioneel Geheel getal Het paginanummer waar je resultaten van wilt. Standaard is dit 1.
results_per_page Optioneel Geheel getal Hoeveel resultaten wilt u per pagina. Toegestane waarden zijn: 10, 25, 50, 100, 250, 500, 1000. Standaard is 25.
{
    "data": [
        {
            "id": 1,
            "plan_id": 1,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "email": "[email protected]",
            "name": null,
            "total_amount": "4.99",
            "currency": "USD",
            "status": true,
            "datetime": "2026-07-18 17:10:36",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://tistos.com/api/payments?page=1",
        "last": "https://tistos.com/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://tistos.com/api/payments?page=1"
    }
}
GET https://tistos.com/api/payments/{payment_id}
curl --request GET \
--url 'https://tistos.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "plan_id": 1,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "email": "[email protected]",
        "name": null,
        "total_amount": "4.99",
        "currency": "USD",
        "status": true,
        "datetime": "2026-07-18 17:10:36",
    }
}